Bug 1961852 - Excessive lock contention when adding many pods selected by the same NetworkPolicy
Summary: Excessive lock contention when adding many pods selected by the same NetworkP...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Casey Callendrello
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On:
Blocks: 1950283
TreeView+ depends on / blocked
 
Reported: 2021-05-18 20:18 UTC by Casey Callendrello
Modified: 2021-07-29 12:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 560 0 None open Bug 1961852: policy: reduce lock contention on policy object 2021-06-01 16:27:10 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:28 UTC

Description Casey Callendrello 2021-05-18 20:18:08 UTC
Description of problem:
OVN-K holds a lock unnecessarily when adding pods. We can remove this, which is a significant source of contention.

Comment 1 Casey Callendrello 2021-05-18 20:18:34 UTC
Upstream PR: https://github.com/ovn-org/ovn-kubernetes/pull/2228

Comment 6 Ross Brattain 2021-06-08 05:52:38 UTC
Verified on 4.8.0-0.nightly-2021-06-07-083552

Created/deleted the optimized network policies on 1000 pods.

Comment 9 errata-xmlrpc 2021-07-27 23:09:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.